On version of Windows prior to XP, pg_ctl will *always* log a warning
about not finding Job API functions. This is probably unnecessary, since
they are never present there. The check was originally intended to give
a warning if something was wrong on a system where it was *expected*.

Attached patch checks the OS version before emitting the error message.

//Mag <<pg_ctl.diff>> nus
 

Attachment: pg_ctl.diff
Description: pg_ctl.diff

---------------------------(end of broadcast)---------------------------
TIP 4: Have you searched our list archives?

               http://archives.postgresql.org

Reply via email to